<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo eliminar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleActionAccess(7, 4)
    && isset($_POST["par1"]) && $_POST["par1"] != ""
) {	
	$fechaInactivaIdCod 	= filter_var($_POST["par1"], FILTER_SANITIZE_STRING);
	$fechaInactivaId 		= filter_var( Varios::decodifica($fechaInactivaIdCod), FILTER_SANITIZE_NUMBER_INT);

	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/FechaInactiva.Class.php');
	$fechaInactiva_obj = new FechaInactiva(null);
	$auditoria_accion   = "Delete";
	$auditoria_tabla    = "fecha_inactiva";
	$auditoria_sql      = "EXEC agenda.SP_fecha_inactiva_eliminar ".$fechaInactivaId;
	
	$fechaInactiva_resultado = $fechaInactiva_obj->eliminarFechaInactiva($fechaInactivaId);
	
	$mensaje 	= $fechaInactiva_resultado[1];
	$resultado 	= $fechaInactiva_resultado[0];
	if($resultado > 0) {		
		$correcto 	= true;
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );	
	$fechaInactiva_obj->Close();	

} else {
	$mensaje = 'Los parámetros recibidos NO son válidos';	
}

$data = array(
			'success' => $correcto, 
			'mensaje' => $mensaje,
			'sesion'  => $sesion
		);
echo json_encode($data);
?>